package hu.uniobuda.nik;

import android.app.Activity;
import android.database.Cursor;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class SQLitePeldaProgramActivity extends Activity {
    
	Button beszur, listaz;
	EditText name;
	
	DBHandler dbhandler;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        this.dbhandler = new DBHandler(this);
        
        name = (EditText)findViewById(R.id.editText1);
        
        beszur = (Button)findViewById(R.id.insert);
        beszur.setOnClickListener(new OnClickListener() {
			public void onClick(View arg0) {
				String uname = name.getText().toString();
				if(uname != null && uname.length() > 0){
					long id = dbhandler.insertUser(uname);
					Log.d("NIK", "insert: " + id);
				}
				//
			}
		});
        
        listaz = (Button)findViewById(R.id.load);
        listaz.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {
			
				Cursor datas = dbhandler.selectUsers();
				
					while(!datas.isAfterLast()){
						
						Log.d("NIK", "ID: " + datas.getInt(0) + " UNAME: " + datas.getString(1));
						datas.moveToNext();
						
					}
					datas.close();
				
			}
		});
        
        
        
    }
    
    
    
    
    
}